Run of fresh-releases for ncat-w32

Try this locally:

git clone https://gitlab.com/kalilinux/packages/ncat-w32.git ncat-w32
cd ncat-w32
new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
[2021-06-11 04:43:29] Running ['new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2021-06-11 04:43:29] Opening branch at https://gitlab.com/kalilinux/packages/ncat-w32.git
[2021-06-11 04:43:33] Using cached branch https://janitor.kali.org/git/ncat-w32/,branch=kali%2Flatest
Traceback (most recent call last):
  File "/opt/debian-janitor/breezy/breezy/transport/http/urllib.py", line 723, in do_open
    response = connection.getresponse()
  File "/opt/debian-janitor/breezy/breezy/transport/http/urllib.py", line 279, in getresponse
    self._response = http_client.HTTPConnection.getresponse(self)
  File "/usr/lib/python3.7/http/client.py", line 1352, in getresponse
    response.begin()
  File "/opt/debian-janitor/breezy/breezy/transport/http/urllib.py", line 200, in begin
    http_client.HTTPResponse.begin(self)
  File "/usr/lib/python3.7/http/client.py", line 310, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.7/http/client.py", line 292, in _read_status
    raise BadStatusLine(line)
http.client.BadStatusLine: 0



During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/debian-janitor/breezy/breezy/transport/http/urllib.py", line 703, in do_open
    headers, encode_chunked=False)
  File "/usr/lib/python3.7/http/client.py", line 1306, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1255, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1030, in _send_output
    self.send(msg)
  File "/usr/lib/python3.7/http/client.py", line 970, in send
    self.connect()
  File "/opt/debian-janitor/breezy/breezy/transport/http/urllib.py", line 351, in connect
    http_client.HTTPConnection.connect(self)
  File "/usr/lib/python3.7/http/client.py", line 942, in connect
    (self.host,self.port), self.timeout, self.source_address)
  File "/usr/lib/python3.7/socket.py", line 707, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
  File "/usr/lib/python3.7/socket.py", line 748, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Temporary failure in name resolution

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/debian-janitor/janitor/pull_worker.py", line 273, in run_worker
    possible_transports=possible_transports,
  File "/usr/lib/python3.7/contextlib.py", line 112, in __enter__
    return next(self.gen)
  File "/opt/debian-janitor/janitor/worker.py", line 759, in process_package
    [n for (f, n) in extra_resume_branches] if extra_resume_branches else None
  File "/opt/debian-janitor/silver-platter/silver_platter/workspace.py", line 135, in __enter__
    path=self._path,
  File "/opt/debian-janitor/silver-platter/silver_platter/utils.py", line 89, in create_temp_sprout
    raise e
  File "/opt/debian-janitor/silver-platter/silver_platter/utils.py", line 74, in create_temp_sprout
    stacked=use_stacking,
  File "/opt/debian-janitor/breezy/breezy/git/dir.py", line 182, in sprout
    mapping=source_branch.mapping)
  File "/opt/debian-janitor/breezy/breezy/git/interrepo.py", line 779, in fetch_objects
    determine_wants, graphwalker, f.write)
  File "/opt/debian-janitor/breezy/breezy/git/remote.py", line 460, in fetch_pack
    progress)
  File "/opt/debian-janitor/dulwich/dulwich/client.py", line 2069, in fetch_pack
    "git-upload-pack", url, data=req_data.getvalue()
  File "/opt/debian-janitor/dulwich/dulwich/client.py", line 1945, in _smart_request
    resp, read = self._http_request(url, headers, data)
  File "/opt/debian-janitor/breezy/breezy/git/remote.py", line 787, in _http_request
    headers=headers, retries=8)
  File "/opt/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1850, in request
    response = self._opener.open(request)
  File "/usr/lib/python3.7/urllib/request.py", line 525, in open
    response = self._open(req, data)
  File "/usr/lib/python3.7/urllib/request.py", line 543, in _open
    '_open', req)
  File "/usr/lib/python3.7/urllib/request.py", line 503, in _call_chain
    result = func(*args)
  File "/opt/debian-janitor/breezy/breezy/transport/http/urllib.py", line 828, in https_open
    return self.do_open(HTTPSConnection, request)
  File "/opt/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/opt/debian-janitor/breezy/breezy/transport/http/urllib.py", line 629, in retry_or_raise
    response = self.do_open(http_class, request, False)
  File "/opt/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/opt/debian-janitor/breezy/breezy/transport/http/urllib.py", line 615, in retry_or_raise
    orig_error=exc_val)
breezy.errors.ConnectionError: Connection error: Couldn't resolve host 'janitor.kali.org' [Errno -3] Temporary failure in name resolution

Full worker log